/*
 Theme Name:   Einsatz Themes
 Description:  FF Weilimdorf Einsatz Themes
 Author:       Simon Schindler
 Template:     twentytwentyfive
 Version:      0.1
*/

html {
    scroll-behavior: smooth;
}


/* Ensure headings wrap and don't overflow */
h1, h2, h3, h4, h5, h6, blockquote, caption, figcaption, p {
  word-wrap: break-word;
  overflow-wrap: break-word;
  hyphens: auto;
  white-space: normal;
  max-width: 100%;
}


/* Einsatzberichte list */
.cached-einsatzberichte-list {
}

.link-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.navigation-link-left {
    display: flex;
    flex-direction: row;
    align-items: left;
    text-align: left;
    justify-content: center;
    gap: 10px;

    > a {
        align-content: center;
        text-align: center;
    }
}

.navigation-link-right {
    display: flex;
    flex-direction: row;
    align-items: right;
    text-align: right;
    justify-content: center;
    padding: auto;
    gap: 10px;

    > a {
        align-content: center;
        text-align: center;
    }
}

.navigation-arrow {
    justify-content: center;
}


.einsatz-card {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    background-color: #FFFFFF;
    padding: 0px 10px;
    border: 1px solid #eee;
    border-left-width: 7px;
    border-radius: 3px;
    margin: 0 auto;
    margin-bottom: 10px;
    text-decoration: none;
}

.einsatz-card:hover {
    background-color: #eee;
}


.einsatz-card-right {
    flex: auto;
}



.bar-chart {
    margin-bottom: 20px;
}

.bar-fill {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 0;
    transition: width 2s ease-out;
    --bar-color-unselected: rgba(200, 200, 200, 0.6);
}


.bar-container {
    position: relative;
    height: 50px;
    border-radius: 10px;
    overflow: hidden;
    isolation: isolate;
    margin-bottom: 5px;
    background-color: #eee;

    scale: 1;
    filter: brightness(1);
    transition: filter 0.5s ease, scale 0.5s ease;

    &:hover {
        filter: brightness(1.1);
        scale: 1.02;
        transition: filter 0.5s ease, scale 0.5s ease;
    }
}

.bar-content {
    position: absolute;
    top: 50%;
    left: 20px;
    width: calc(100% - 40px);
    transform: translateY(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    pointer-events: none;
    font-size: 20px;
    font-weight: 600;
}

.bar-amount {
    text-align: center;
    align-content: center;
}


.fahrzeug-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 10px;
}

.fahrzeug-card {
    position: relative;
    overflow: hidden;
    max-width: 205px;
    cursor: pointer;
    transform: scale(1);
    transition: transform 0.5s ease, filter 0.5s ease;
    will-change: transform, filter;
    webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    outline-width: 0px;
    outline-style: none;
}

.fahrzeug-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s ease, filter 0.5s ease;
    display: block;
}

.fahrzeug-card .overlay-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    font-size: 1.5rem;
    font-weight: bold;
    opacity: 0;
    transition: opacity 0.5s ease;
    pointer-events: none;
    text-shadow: 0 2px 10px rgba(0,0,0,0.6);
    align-items: center;
    justify-content: center;
    text-align: center;
}

.fahrzeug-card:hover img {
    transform: scale(1.15);
    filter: grayscale(70%) brightness(0.8);
}

.fahrzeug-card:hover .overlay-text {
    opacity: 1;
}


.einsatz-infos-background {
    width: 100vw;
    background-color: var(--wp--preset--color--accent-6);
    padding-bottom: 10px;
    padding-top: 5px;
    margin-top: 0px;
}

.einsatz-infos-inner-container {
    max-width: var(--wp--style--global--content-size);
    margin-left: auto !important;
    margin-right: auto !important;

    padding-right: var(--wp--style--root--padding-right);
    padding-left: var(--wp--style--root--padding-left);
}



.einsatz-info-container {
    color: gray;
    fill: gray;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.einsatz-icon-line {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 15px;
}

.image-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    flex-wrap: wrap;
}

.image-container img {
    height: 400px;
    min-height: 200px;
    max-height: 400px;
    min-width: 200px;
    max-width: 100%;
    object-fit: cover;
}


.einsatz-map-background {
    width: 100vw;
    background-color: var(--wp--preset--color--accent-6);
}

.einsatz-map-inner-container {
    max-width: var(--wp--style--global--content-size);
    margin-left: auto !important;
    margin-right: auto !important;

    padding-right: var(--wp--style--root--padding-right);
    padding-left: var(--wp--style--root--padding-left);
}


.einsatz-statistics-background {
    width: 100vw;
    background-color: var(--wp--preset--color--accent-6);
    padding-bottom: 10px;
    padding-top: 5px;
    margin-top: 0px;
}

.einsatz-statistics-inner-container {
    max-width: var(--wp--style--global--content-size);
    margin-left: auto !important;
    margin-right: auto !important;

    padding-top: 20px;
    padding-bottom: 20px;

    padding-right: var(--wp--style--root--padding-right);
    padding-left: var(--wp--style--root--padding-left);
}


